#include <iostream>

using namespace std;

int main()
{
ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,k,i=0; long long niz[20000];
    cin>>n>>k;
        for(i=0;i<n;i++)cin>>niz[i];
        for(i=0;i<n;i++){
            if(niz[i]==k){
                if(niz[i]==niz[n-1])cout<<niz[0];
                    else cout<<niz[i+1]<<'\n';
                }


}
}